language: node_js
# Be aware of https://github.com/nodejs/LTS when choosing versions to test
# Update engines.node in package.json if removing old versions.
node_js:
  - node
  - 0.12
  - 0.10

# If the package has OS-dependent features, uncomment this.
#os:
#  - linux
#  - osx

# Note:  semantic-release caches node_modules and `npm prune` in before_script
# https://github.com/semantic-release/semantic-release/blob/v6.2.0/.travis.yml#L3
# Since cache is stored in S3 and npm repository is a caching proxy, why bother?

sudo: false

script:
  - npm run test-cov

# Note:  Both codecov and coveralls detect branch/PR info from Travis CI
# https://github.com/codecov/codecov-node/blob/v1.0.1/lib/services/travis.js
# https://github.com/nickmerwin/node-coveralls/blob/2.11.5/lib/getOptions.js#L18
after_success:
  - npm run upload-cov
